%define ver_major 2.32

%def_enable xevents
%def_enable applets
# HAL (brightness) support using internal libhal
%def_disable hal

Name: gnome-power-manager
Version: %ver_major.0
Release: alt3

Summary: A GNOME daemon that takes care of power management. 
License: %gpl2plus
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/projects/gnome-power-manager/

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

PreReq: GConf
Requires: common-licenses gnome-session gnome-filesystem
Requires: upower >= 0.9.1

BuildPreReq: libGConf-devel
BuildPreReq: rpm-build-gnome >= 0.5
BuildPreReq: rpm-build-licenses

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: gnome-doc-utils >= 0.3.2
BuildPreReq: glib2-devel >= 2.13.0
BuildPreReq: libgtk+2-devel >= 2.17.7
BuildPreReq: libgnome-keyring-devel >= 0.6.0
BuildPreReq: libnotify-devel >= 0.4.3
BuildPreReq: libwnck-devel >= 2.10.0
BuildPreReq: libcairo-devel >= 1.0.0
BuildPreReq: libXrandr-devel >= 1.2
BuildPreReq: libunique-devel >= 1.0.0
BuildPreReq: libgnome-panel-devel >= 2.0.0
BuildPreReq: libcanberra-gtk2-devel >= 0.10
BuildPreReq: libupower-devel >= 0.9.1
BuildPreReq: libdbus-devel libdbus-glib-devel >= 0.7.0
BuildPreReq: libXt-devel libX11-devel libXext-devel libXrandr-devel
BuildPreReq: xmlto
# for docbook2man
BuildPreReq: docbook-utils
# contains GNOME_COMPILE_WARNINGS autoconf macro
BuildPreReq: gnome-common

%description
GNOME Power Manager uses information provided by HAL to display icons
and handle system and user actions in a GNOME session. Authorised users
can set policy and change preferences.

GNOME Power Manager acts as a policy agent on top of the Project Utopia
stack, which includes the kernel, hotplug, udev, and HAL.

GNOME Power Manager listens for HAL events and responds with
user-configurable reactions. The main focus here is the user interface;
e.g. allowing configuration of power management from the desktop in a
sane way (no need for root password, and no need to edit configuration
files).

Most of the backend code is actually in HAL for abstracting various
power aware devices (UPS's) and frameworks (ACPI, PMU, APM etc.)
 - so the desktop parts are fairly lightweight and straightforward.

GNOME Power Manager comes in three parts:

	- gnome-power-manager:	    the manager daemon itself
	- gnome-power-preferences:  the control panel program, for configuration

%prep
%setup -q

# Fix icons location
%__subst 's/pkgdatadir/datadir/' data/icons/*/{actions,status}/Makefile.am

%build
%autoreconf
%configure \
    --enable-tests \
    %{subst_enable applets} \
    --enable-docbook-docs \
    --disable-scrollkeeper \
    --disable-schemas-install

%make_build

%install
%make_install DESTDIR=%buildroot install

# The license
ln -sf %_licensedir/GPL-2 COPYING

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/%name
%_sbindir/gnome-power-backlight-helper
%_bindir/gnome-power-preferences
%_libexecdir/gnome-brightness-applet
%_libexecdir/gnome-inhibit-applet
%_bindir/gnome-power-statistics
%bonobo_serversdir/GNOME_*Applet.server
%_datadir/gnome-2.0/ui/GNOME_*Applet.xml
%dir %_datadir/%name
%_datadir/%name/*.ui
%_datadir/dbus-1/services/%name.service
%_desktopdir/gnome-power-preferences.desktop
%_desktopdir/gnome-power-statistics.desktop
%_iconsdir/hicolor/*x*/apps/gnome-brightness-applet.png
%_iconsdir/hicolor/*x*/apps/gnome-inhibit-applet.png
%_iconsdir/hicolor/*x*/apps/gnome-power-manager.png
%_iconsdir/hicolor/*x*/apps/gnome-power-statistics.png
%_iconsdir/hicolor/scalable/apps/gnome-brightness-applet.svg
%_iconsdir/hicolor/scalable/apps/gnome-inhibit-applet.svg
%_iconsdir/hicolor/scalable/apps/gnome-power-manager.svg
%_iconsdir/hicolor/scalable/apps/gnome-power-statistics.svg
%_iconsdir/hicolor/*x*/actions/gpm*.png
%_iconsdir/hicolor/*x*/status/gpm*.png
%_iconsdir/hicolor/scalable/actions/gpm*.svg
%_iconsdir/hicolor/scalable/status/gpm*.svg
%_sysconfdir/xdg/autostart/gnome-power-manager.desktop
%config %_datadir/polkit-1/actions/org.gnome.power.policy
%config %gconf_schemasdir/%name.schemas
%_man1dir/*.1.gz
%doc --no-dereference COPYING
%doc README NEWS TODO ChangeLog AUTHORS

%exclude %_bindir/gnome-power-bugreport.sh

%changelog
* Tue Apr 05 2011 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt3
- replaced obsolete {build,}reqs

* Wed Oct 20 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt2
- drop hal dependence again

* Wed Oct 06 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Mon Sep 27 2010 Alexey Shabalin <shaba@altlinux.ru> 2.30.1-alt2
- drop hal dependences

* Mon Apr 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Mon Mar 01 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt1
- 2.29.91

* Tue Feb 02 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.2-alt1
- 2.29.2
- obsolete patches removed

* Mon Feb 01 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.3-alt2
- applied upstream patch for show the device name even when using UPower
  in gpm-statistics.

* Tue Jan 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.3-alt1
- 2.28.3

* Tue Jan 12 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.2-alt2
- fixed icons location

* Mon Dec 07 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.2-alt1
- 2.28.2
- don't show help url when sleep failed, actual page doesn't exist (ALT #22421)
- show Suspend and Hibernate in the menu by default

* Mon Oct 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Mon Sep 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Thu Sep 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.92-alt1
- 2.27.92

* Mon Aug 24 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.91-alt1
- 2.27.91

* Tue Aug 04 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.4-alt1
- 2.26.4

* Mon Jul 06 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.3-alt1
- 2.26.3 release
- libdevkit-power-devel added to buildreqs

* Sat May 30 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt3
- build current git

* Tue May 12 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt2
- build current git
- potentially fixed (ALT#19953)

* Wed Apr 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Tue Apr 07 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- move to DeviceKit

* Fri Jan 16 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Mon Nov 17 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- don't run {update,clean}_scrollkeeper in post{,un}

* Wed Oct 22 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Wed Oct 01 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0

* Wed Apr 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- New version (2.22.1).

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus

* Mon Mar 17 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- New version (2.22.0).
- disable Policykit support

* Sun Dec 16 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.2-alt1
- New version (2.20.2).

* Wed Nov 14 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.1-alt1
- New version (2.20.1).
- The fix for XEvents has been applied upstream.

* Sat Nov 10 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.0-alt3
- Added a fix for the problem with XEvents, turned using them back on.

* Mon Nov 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.0-alt2
- Switched off compiling with Xevents, because of GNOME Bug #413360.

* Sun Oct 21 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.0-alt1
- New version (2.20.0).
- Updated dependencies, in particular fixing the build failure due to
  absent libgnome-keyring.
- Enabled unit tests.
- Updated files list.
- Added a subst to fix incorrect status and actions icons location.
- Invoke autoreconf before configure to make the mentioned subst work.

* Tue Aug 21 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.3-alt1
- new version
- updated the license tag
- use more macros
- updated buildreqs
- added --enable-keyring configure switch to lock GNOME keyring on suspend
  and hibernate
- also added --enable-xevents and --enable-applets switches

* Wed Jan 31 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version (2.16.3)
- added --with-dpms-ext to configure flags

* Sat Sep 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version (2.16.1)
- updated dependencies
- minor cleanup

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- Initial Sisyphus package.

